Uninitialized constant Base (NameError) trying to use Active


#1

Hi group

I’m trying to hook up my simple app to Active Directory. I’m following
instructions posted on the website.

Mainly http://wiki.rubyonrails.com/rails/pages/HowtoAuthenticateViaLdap
and now also http://wiki.rubyonrails.com/rails/pages/ActiveLDAP.

The two instructions seem to differ a little on how to configure
(environment.rb). Both instructions break my app with an internal server
error. I attached the apache error below.

As I am fairly new to Ruby on Rails the error message `const_missing’:
uninitialized constant Base (NameError) does not give me any clues on
how to fix the configuration.

I am using Ruby 1.8.2, Rails 0.14.2, Ruby-activeldap-0.5.9 and XAMPP150.

Any help or pointers you can give me will be greatly appreciated.

Onno

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] Premature end of
script headers: dispatch.cgi

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1]
C:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.2/lib/active_support/de
pendencies.rb:198:in `const_missing’: uninitialized constant Base
(NameError)\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
C:/ruby/lib/ruby/gems/1.8/gems/ruby-activeldap-0.5.9/lib/activeldap/conf
iguration.rb:14\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
`require__’\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
`require’\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
C:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.2/lib/active_support/de
pendencies.rb:213:in `require’\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
G:/www/rupwiki/public/…/config/…/lib/activeldap.rb:907\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
`require__’\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
`require’\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
C:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.2.2/lib/active_support/de
pendencies.rb:213:in `require’\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
G:/www/rupwiki/public/…/config/environment.rb:52\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
G:/www/rupwiki/public/dispatch.cgi:3:in `require’\r

[Wed Nov 30 15:33:14 2005] [error] [client 127.0.0.1] \tfrom
G:/www/rupwiki/public/dispatch.cgi:3\r

This e-mail and any attachment is for authorised use by the intended
recipient(s) only. It may contain proprietary material, confidential
information and/or be subject to legal privilege. It should not be
copied, disclosed to, retained or used by, any other party. If you are
not an intended recipient then please promptly delete this e-mail and
any attachment and all copies and inform the sender. Thank you.